From ef2db65497e28842138fa6508c32b5b6a690ea5c Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Sun, 1 Mar 2020 19:48:08 +0530
Subject: [PATCH 06/12] RGB LED and GPIO Changes

Change-Id: I896eefee0d8ed1fa03d50fca2ea697ca8e401d9d
---
 .../boot/dts/qcom/msm8909-camera-sensor-skue.dtsi  |  2 +-
 .../boot/dts/qcom/msm8909-camera-sensor-skuq.dtsi  |  2 +-
 .../boot/dts/qcom/msm8909-camera-sensor-skut.dtsi  | 12 +++++-----
 arch/arm/boot/dts/qcom/msm8909-cdp.dtsi            |  8 +++----
 arch/arm/boot/dts/qcom/msm8909-mtp.dtsi            | 16 ++++++-------
 arch/arm/boot/dts/qcom/msm8909-pinctrl.dtsi        | 27 ++++++++++++++--------
 6 files changed, 38 insertions(+), 29 deletions(-)

diff --git a/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skue.dtsi b/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skue.dtsi
index 7f7882a..d67a8c1 100644
--- a/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skue.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skue.dtsi
@@ -30,7 +30,7 @@
 		pinctrl-names = "flash_default";
 		pinctrl-0 = <&SY7803_default>;
 		qcom,flash-en = <&msm_gpio 31 0>;
-		qcom,flash-now = <&msm_gpio 32 0>;
+	/*	qcom,flash-now = <&msm_gpio 32 0>; */
 		qcom,op-seq = "flash_en", "flash_now";
 		qcom,torch-seq-val = <0 1>;
 		qcom,flash-seq-val = <1 0>;
diff --git a/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skuq.dtsi b/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skuq.dtsi
index b8e6af4..af0bdcd 100755
--- a/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skuq.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skuq.dtsi
@@ -54,7 +54,7 @@
 		pinctrl-names = "flash_default";
 		pinctrl-0 = <&GPIOFLASH_default>;
 		qcom,flash-en = <&msm_gpio 31 0>;
-		qcom,flash-now = <&msm_gpio 32 0>;
+		/*qcom,flash-now = <&msm_gpio 32 0>;*/
 		qcom,op-seq = "flash_en", "flash_now";
 		qcom,torch-seq-val = <1 0>;
 		qcom,flash-seq-val = <1 1>;
diff --git a/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skut.dtsi b/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skut.dtsi
index c4e9e54..9ca031b 100644
--- a/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skut.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-camera-sensor-skut.dtsi
@@ -87,10 +87,10 @@
 		pinctrl-1 = <&cam_sensor_mclk0_sleep &cam_sensor_rear_sleep>;
 		gpios = <&msm_gpio 26 0>,
 			<&msm_gpio 35 0>,
-			<&msm_gpio 34 0>,
-			<&msm_gpio 17 0>,
+			<&msm_gpio 34 0>;
+		/*	<&msm_gpio 17 0>,
 			<&msm_gpio 16 0>,
-			<&msm_gpio 99 0>;
+			<&msm_gpio 99 0>;*/
 		qcom,gpio-reset = <1>;
 		qcom,gpio-standby = <2>;
 		qcom,gpio-vio = <3>;
@@ -228,9 +228,9 @@
 		gpios = <&msm_gpio 27 0>,
 			<&msm_gpio 28 0>,
 			<&msm_gpio 33 0>,
-			<&msm_gpio 95 0>,
-			<&msm_gpio 99 0>,
-			<&msm_gpio 17 0>;
+			<&msm_gpio 95 0>;
+		/*	<&msm_gpio 99 0>,
+			<&msm_gpio 17 0>;*/
 		qcom,gpio-reset = <1>;
 		qcom,gpio-standby = <2>;
 		qcom,gpio-vdig = <3>;
diff --git a/arch/arm/boot/dts/qcom/msm8909-cdp.dtsi b/arch/arm/boot/dts/qcom/msm8909-cdp.dtsi
index f016d14..a0c1d8f 100644
--- a/arch/arm/boot/dts/qcom/msm8909-cdp.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-cdp.dtsi
@@ -196,14 +196,14 @@
 			debounce-interval = <15>;
 		};
 
-		camera_snapshot {
+	/*	camera_snapshot {
 			label = "camera_snapshot";
 			gpios = <&msm_gpio 92 0x1>;
 			linux,input-type = <1>;
 			linux,code = <0x2fe>;
 			gpio-key,wakeup;
 			debounce-interval = <15>;
-		};
+		};*/
 
 		vol_up {
 			label = "volume_up";
@@ -520,7 +520,7 @@
 	};
 
 	apds99xx_int_pin {
-		qcom,pins = <&gp 94>;
+/*		qcom,pins = <&gp 94>;*/
 		qcom,pin-func = <0>;
 		qcom,num-grp-pins = <1>;
 		label = "apds99xx-irq";
@@ -563,7 +563,7 @@
 		interrupts = <96 0x1>;
 		vdd-supply = <&pm8909_l17>;
 		vlogic-supply = <&pm8909_l6>;
-		invn,gpio-int = <&msm_gpio 96 0x1>;
+/*		invn,gpio-int = <&msm_gpio 96 0x1>;*/
 		invn,place = "Portrait Down Back Side";
 	};
 
diff --git a/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi b/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
index 92c2a5c..122f599 100644
--- a/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
@@ -224,14 +224,14 @@
 			debounce-interval = <15>;
 		};
 
-		camera_snapshot {
+		/*camera_snapshot {
 			label = "camera_snapshot";
 			gpios = <&msm_gpio 92 0x1>;
 			linux,input-type = <1>;
 			linux,code = <0x2fe>;
 			gpio-key,wakeup;
 			debounce-interval = <15>;
-		};
+		};*/
 
 		vol_up {
 			label = "volume_up";
@@ -259,23 +259,23 @@
 			debounce-interval = <15>;
 		};
 
-		menu {
+	/*	menu {
 			label = "menu";
 			gpios = <&msm_gpio 17 0x1>;
 			linux,input-type = <1>;
 			linux,code = <139>;
 		//	gpio-key,wakeup;    //law:del for system sleep abnormal,before modify sleep-current is 22mA ,after sleep-current is 7mA 2015-12-19
 			debounce-interval = <15>;
-		};
+		};*/
 
-		back {
+		/*back {
 			label = "back";
 			gpios = <&msm_gpio 98 0x1>;
 			linux,input-type = <1>;
 			linux,code = <158>;
 			gpio-key,wakeup;
 			debounce-interval = <15>;
-		};
+		};*/
 	};
 
 spi_0: spi@78ba000 {
@@ -604,7 +604,7 @@ audio_codec_mtp: sound {
 		interrupts = <94 0x2002>;
 		vdd-supply = <&pm8909_l17>;
 		vio-supply = <&pm8909_l6>;
-		avago,irq-gpio = <&msm_gpio 94 0x2002>;
+	/*	avago,irq-gpio = <&msm_gpio 94 0x2002>;*/
 		avago,ps-threshold = <600>;
 		avago,ps-hysteresis-threshold = <500>;
 		avago,ps-pulse = <8>;
@@ -750,7 +750,7 @@ audio_codec_mtp: sound {
 	pinctrl-0 = <&mdss_dsi_active &mdss_te_active>;
 	pinctrl-1 = <&mdss_dsi_suspend &mdss_te_suspend>;
 
-	qcom,platform-enable-gpio = <&msm_gpio 95 0>;
+/*	qcom,platform-enable-gpio = <&msm_gpio 95 0>;*/
 	qcom,platform-reset-gpio = <&msm_gpio 25 0>;
 	//qcom,platform-bklight-en-gpio = <&msm_gpio 37 0>;
 };
diff --git a/arch/arm/boot/dts/qcom/msm8909-pinctrl.dtsi b/arch/arm/boot/dts/qcom/msm8909-pinctrl.dtsi
index f379e0d..708bbf1 100644
--- a/arch/arm/boot/dts/qcom/msm8909-pinctrl.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-pinctrl.dtsi
@@ -134,8 +134,8 @@
 
 		cam_sensor_flash {
 			/* FLASH_RESET,FLASH_EN,FLASH_NOW */
-			qcom,pins = <&gp 31>,<&gp 32> ;
-			qcom,num-grp-pins = <2>;
+			qcom,pins = <&gp 32> ;
+			qcom,num-grp-pins = <1>;
 			qcom,pin-func = <0>;
 			label = "cam_sensor_flash";
 			/* active state */
@@ -267,7 +267,7 @@
 		};
 
 		cdc-ext-mclk-lines {
-			qcom,pins = <&gp 98>;
+		/*	qcom,pins = <&gp 98>;*/
 			qcom,num-grp-pins = <1>;
 			qcom,pin-func = <2>;
 			label = "cdc-ext-mclk-lines";
@@ -774,7 +774,7 @@
 		};
 
 		tpiu_setb_12 {
-			qcom,pins = <&gp 32>;
+		/*	qcom,pins = <&gp 32>; */
 			qcom,num-grp-pins = <1>;
 			qcom,pin-func = <3>;
 			label = "tpiu-setb-12";
@@ -1208,10 +1208,18 @@ oem_otg_vreg {
 
 		wcnss_pmux_gpio: wcnss_pmux_gpio {
 			/* Uses general purpose pins */
-			qcom,pins = <&gp 40>, <&gp 41>,
+		/*	qcom,pins = <&gp 40>, <&gp 41>,
 				    <&gp 42>, <&gp 43>,
-				    <&gp 44>;
-			qcom,num-grp-pins = <5>;
+				    <&gp 44>;*/
+                        qcom,pins = <&gp 40>, <&gp 41>,
+                                    <&gp 42>, <&gp 43>,
+                                    <&gp 44>, <&gp 98>,
+                                    <&gp 68>, <&gp 69>,
+                                    <&gp 16>, <&gp 17>,
+                                    /*<&gp 92>, <&gp 23>, */
+                                    <&gp 88>, <&gp 89>,
+                                    <&gp 23>;
+                        qcom,num-grp-pins = <13>;
 			qcom,pin-func = <0>;
 			label = "wcnss_5gpio_pins";
 			/* Active configuration of bus pins */
@@ -1222,9 +1230,10 @@ oem_otg_vreg {
 		};
 
 		tlmm_gpio_key {
-			qcom,pins = <&gp 90>, <&gp 91>, <&gp 92>, <&gp 17>,  <&gp 93>,  <&gp 98>;
+		/*	qcom,pins = <&gp 90>, <&gp 91>, <&gp 92>, <&gp 17>,  <&gp 93>,  <&gp 98>;*/
+                        qcom,pins = <&gp 90>, <&gp 91>, <&gp 91>, <&gp 93>, <&gp 98>, <&gp 68>, <&gp 69>, <&gp 16>, <&gp 17>, <&gp 23>, <&gp 88>, <&gp 89>, <&gp 32>;
 			qcom,pin-func = <0>;
-			qcom,num-grp-pins = <6>;
+			qcom,num-grp-pins = <13>;
 			label = "tlmm_gpio_key";
 			gpio_key_active: gpio_key_active {
 				drive-strength = <2>;
-- 
2.7.4

